Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.v2.lifecycle
Class Phases

`java.lang.Object
oracle.adf.controller.v2.lifecycle.Phases`

Direct Known Subclasses:
  PageLifecycle

public abstract class Phases
extends java.lang.Object

Define each of the phase of a standard ADF PageLifecycle.

Since:
  10.1.3

Constructor Summary
`Phases()`

Method Summary
`abstract void` | `applyInputValues(LifecycleContext context)` Builds the list of events with their possible associated action binding from the request parameters.
`abstract void` | `initContext(LifecycleContext context)` During this phase the listener is able to initialize the `LifecycleContext` with additional information that will be persisted during the Lifecycle.
`abstract void` | `metadataCommit(LifecycleContext context)` Used to commit Runtime changes to the metadata.
`abstract void` | `prepareModel(LifecycleContext context)` Give the opportunity for the data model to prepare and initialize.
`abstract void` | `prepareRender(LifecycleContext context)` Last phase before rendering a page.
`abstract void` | `processComponentEvents(LifecycleContext context)` Process each event accumulated during the previous phases.
`abstract void` | `processUpdateModel(LifecycleContext context)` Update the data model with new and validated input values.
`abstract void` | `validateInputValues(LifecycleContext context)` Validate input values.
`abstract void` | `validateModelUpdates(LifecycleContext context)` Forces model-level validation to occur.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Phases

    public Phases()

Method Detail

### initContext

    public abstract void initContext(LifecycleContext context)

  During this phase the listener is able to initialize the `LifecycleContext` with additional information that will be persisted during the Lifecycle.

### prepareModel

    public abstract void prepareModel(LifecycleContext context)

  Give the opportunity for the data model to prepare and initialize.

### applyInputValues

    public abstract void applyInputValues(LifecycleContext context)

  Builds the list of events with their possible associated action binding from the request parameters.

### validateInputValues

    public abstract void validateInputValues(LifecycleContext context)

  Validate input values.

### processUpdateModel

    public abstract void processUpdateModel(LifecycleContext context)

  Update the data model with new and validated input values.

### validateModelUpdates

    public abstract void validateModelUpdates(LifecycleContext context)

  Forces model-level validation to occur.

### processComponentEvents

    public abstract void processComponentEvents(LifecycleContext context)

  Process each event accumulated during the previous phases.

### metadataCommit

    public abstract void metadataCommit(LifecycleContext context)

  Used to commit Runtime changes to the metadata. This phase is always called before prepareRender even in case of navigation.

### prepareRender

    public abstract void prepareRender(LifecycleContext context)

  Last phase before rendering a page. This can be used to notify a binding that rendering is about to happen and allow them to optimize data preparation or processing before the rendering begins.

  During this phase the model is refreshed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.